Bug 1654611 - backport sriov ovn support to ovs 2.9 [NEEDINFO]
Summary: backport sriov ovn support to ovs 2.9
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openvswitch
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z6
: 13.0 (Queens)
Assignee: Numan Siddique
QA Contact: Eran Kuris
URL:
Whiteboard:
Depends On: 1673027 1683568
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-29 08:49 UTC by Eran Kuris
Modified: 2019-09-09 13:34 UTC (History)
13 users (show)

Fixed In Version: openvswitch-2.9.0-97.el7fdp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-18 10:39:43 UTC
Target Upstream Version:
ccopello: needinfo? (nusiddiq)


Attachments (Terms of Use)

Description Eran Kuris 2018-11-29 08:49:56 UTC
Description of problem:

we need to backport this patches to OSP13 for support sriov with ovn.
https://bugzilla.redhat.com/show_bug.cgi?id=1561880
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Assaf Muller 2018-11-29 12:50:35 UTC
Can you explain what is https://bugzilla.redhat.com/show_bug.cgi?id=1508449 tracking, and what is this rhbz tracking? Both seem to be targeting the same release and the same component.

Comment 3 Eran Kuris 2018-11-29 14:08:40 UTC
(In reply to Assaf Muller from comment #2)
> Can you explain what is https://bugzilla.redhat.com/show_bug.cgi?id=1508449
> tracking, and what is this rhbz tracking? Both seem to be targeting the same
> release and the same component.

https://bugzilla.redhat.com/show_bug.cgi?id=1561880 targeting to osp15 and I prefer to get it in osp13 so I will start the tests before osp15 for vlan & sriov support. 

I mentioned https://bugzilla.redhat.com/show_bug.cgi?id=1508449 so people know that its related to sriov thing too.

Comment 9 Rashid Khan 2019-03-08 15:35:22 UTC
2.9 bug fix only. This is a feature request. 
This will be part of FDP:19.C for 2.11 based OVS

Comment 18 Lon Hohberger 2019-03-15 10:34:07 UTC
According to our records, this should be resolved by openvswitch-2.9.0-97.el7fdp.  This build is available now.

Comment 20 Eran Kuris 2019-03-28 07:00:48 UTC
The target release is osp13z6 moving to modify until we get a puddle.

Comment 22 Eran Kuris 2019-04-18 07:30:49 UTC
It is possible to boot VM on top of VLAN tenant network. 
There are some issues that still exist related to sriov support like:
- https://bugzilla.redhat.com/show_bug.cgi?id=1700229
- https://bugzilla.redhat.com/show_bug.cgi?id=1700220

The bug fixed on : 
OpenStack/13.0-RHEL-7/2019-04-10.1
openvswitch-2.9.0-103.el7fdp.x86_64


Note You need to log in before you can comment on or make changes to this bug.